/*
 * Declarations for the "cdecl99" utility sources.
 * Copyright © 2021 Nick Bowler
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef CDECL99_H_
#define CDECL99_H_

#include <gettext.h>
#define _(x) gettext(x)

int run_command(const char *line, int interactive);
int run_command_simplify(const char *arg);
int run_command_explain(const char *arg);
int run_command_declare(const char *cmdarg);

void print_error(const char *fmt, ...);

#if HAVE_RL_ADD_HISTORY && HAVE_READLINE_HISTORY_H
#  include <readline/history.h>
#else
static inline void add_history(const char *str)
{
}
#endif

#endif
